Skip to main content

List dispatch targets

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialView orAccessControl.DispatchTargetView) or SelfAdmin Role

Retrieves a paginated list of dispatch targets for the specified user.

Dispatch targets represent the various endpoints or channels through which a user can authenticate, such as mobile devices, desktop applications, or web browsers. This operation allows fetching the dispatch targets associated with a user, which can be useful for managing and monitoring the different authentication endpoints that a user has registered.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    Example: 1771255650000_dispatchTarget2
    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100
    allParams objectrequired

Responses

Dispatch targets retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The unique external ID of the dispatch target within the client. If not provided, one will be generated. It has to be unique on client

    type string

    Possible values: [fido-uaf]

    Default value: fido-uaf

    The type of the dispatch target.

    deviceId string

    The identifier of the device associated with this dispatch target.

    target string

    The target identifier of the authentication channel.

    dispatcher string

    The name of the dispatcher responsible for routing messages to this target.

    userAgent string

    User-Agent string of the FIDO UAF device.

    encryptionKey string

    Encryption key used for encrypting the channel data.

    signingKey string

    The signing key used for signing dispatch channel information.

    appId string

    The application ID where the device is registered.

    name string

    Human-readable name of the device.

    state string

    Possible values: [active, disabled]

    Default value: active

    The current state of the dispatch target.

    identification string

    Business identification of the dispatch target.

    appAttestation object

    The iOS App Attestation associated with this dispatch target, if any.

    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...